<?php

class PluginTagsAutocomplete extends Plugin
{

    public function adminBodyEnd()
    {
        global $url;
        global $tags;
        global $L;
        global $page;

        $html = '';
        $isEditorRoute = false;
        $editorRoutes = [DOMAIN_ADMIN.'new-content', DOMAIN_ADMIN.'edit-content'];
        $currentUrl = DOMAIN.$url->uri();

        foreach ($editorRoutes as $route) {
            if (strpos($currentUrl, $route) !== false) {
                $isEditorRoute = true;
                break;
            }
        }

        if ($isEditorRoute) {
            $params = [
                'name'         => 'tags',
                'allTags'      => $tags->getKeyNameArray(),
                'selectedTags' => []
            ];

            // If Edit Content, set selectedTags of Page
            if (strpos($currentUrl, DOMAIN_ADMIN.'edit-content') !== false) {
                $params['selectedTags'] = $page->tags(true);
            }

            $html .= $this->tagsHtml($params);
            $html .= $this->includeJS('plugin.js');
        }

        return $html;
    }

    // Returns HTML and Javascript code for the box TAGs when you create/edit content
    protected function tagsHtml($args)
    {
        global $L;

        $html = '';

        $html .= '<style>'.file_get_contents(__DIR__.'/css/plugin.css').'</style>';

        $allTagsHtml = '';
        foreach ($args['allTags'] as $tag) {
            $allTagsHtml .= '<span data-tag="'.$tag.'" class="'.( in_array($tag, $args['selectedTags'])?'select':'unselect' ).'">'.$tag.'</span>';
        }

        // Using ES6 String literals to avoid quote problems
        $html .= <<<HTML
<script>$('#jstags').siblings('.text-muted').after(`<div id="bludit-tags">
    <div class="form-inline">
    <input id="jstagInput" type="text" class="form-control" autocomplete="off">
    <button id="jstagAdd" class="btn btn-small btn-primary">{$L->g("Add")}</button>
    </div>
    <div id="jstagList">$allTagsHtml</div>
</div>`);</script>
HTML;

        return $html;
    }
}
